Issue in data upload


#1

I am trying to upload data (which is an hdf5 file) using " neptune data upload".
I am on Windows. But I am not able to do it. " Connection lost. Retrying…" is what I keep getting. Also, getting SSLerror.

Connection lost. Retrying...
Connection lost. Retrying...
Connection lost. Retrying...
2018-03-31 16:18:16,699 deepsense.neptune.common.api.utils ERROR    utils.py:122 - log_exception() Failed to call upload_data
2018-03-31 16:18:17,034 deepsense.neptune.common.api.utils ERROR    utils.py:123 - log_exception() status: 0, response_message: (0)
Reason: SSLError
The operation did not complete (write) (_ssl.c:1949)
Traceback (most recent call last):
  File "C:\Users\Arko\Anaconda3\envs\dev\lib\site-packages\requests\packages\urllib3\connectionpool.py", line 595, in urlopen
    chunked=chunked)
  File "C:\Users\Arko\Anaconda3\envs\dev\lib\site-packages\requests\packages\urllib3\connectionpool.py", line 363, in _make_request
    conn.request(method, url, **httplib_request_kw)
  File "C:\Users\Arko\Anaconda3\envs\dev\lib\http\client.py", line 1107, in request
    self._send_request(method, url, body, headers)
  File "C:\Users\Arko\Anaconda3\envs\dev\lib\http\client.py", line 1152, in _send_request
    self.endheaders(body)
  File "C:\Users\Arko\Anaconda3\envs\dev\lib\http\client.py", line 1103, in endheaders
    self._send_output(message_body)
  File "C:\Users\Arko\Anaconda3\envs\dev\lib\http\client.py", line 936, in _send_output
    self.send(message_body)
  File "C:\Users\Arko\Anaconda3\envs\dev\lib\http\client.py", line 908, in send
    self.sock.sendall(data)
  File "C:\Users\Arko\Anaconda3\envs\dev\lib\ssl.py", line 899, in sendall
    v = self.send(data[count:])
  File "C:\Users\Arko\Anaconda3\envs\dev\lib\ssl.py", line 869, in send
    return self._sslobj.write(data)
  File "C:\Users\Arko\Anaconda3\envs\dev\lib\ssl.py", line 594, in write
    return self._sslobj.write(data)
ssl.SSLWantWriteError: The operation did not complete (write) (_ssl.c:1949)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\Arko\Anaconda3\envs\dev\lib\site-packages\requests\adapters.py", line 423, in send
    timeout=timeout
  File "C:\Users\Arko\Anaconda3\envs\dev\lib\site-packages\requests\packages\urllib3\connectionpool.py", line 621, in urlopen
    raise SSLError(e)
requests.packages.urllib3.exceptions.SSLError: The operation did not complete (write) (_ssl.c:1949)

#2

Hi @arko,
Thanks for your report. We will look closer at this issue after weekend.


#3

Hi @arko,
Does problem still exist?

Can you give us more information about your environment to reproduce error?
Size of file, pip freeze, details about environment where you run neptune and type of OS.
Regards